api/v1/alerts/{id}/addsims
Method: POST https://developers.mobilemanager.co.uk/api/v1/alerts/{id}/addsims
Summary
Associate SIMs with an alert.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The UUID / Guid of the alert |
globally unique identifier |
Required |
Body Parameters
The UUID/ Guid ID of the SIMs to associate with the alert. Max length: 100
Collection of globally unique identifierRequest Formats
application/json, text/json
Sample:
[ "8a9462ba-77ce-4d8c-942d-de68aee0707a", "8e83898c-ff4b-4d3a-a252-a85c4845e3c4" ]
application/xml, text/xml
Sample:
<ArrayOfguid xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays"> <guid>8a9462ba-77ce-4d8c-942d-de68aee0707a</guid> <guid>8e83898c-ff4b-4d3a-a252-a85c4845e3c4</guid> </ArrayOfguid>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpStatusCode only
ApnConfigModel| Name | Description | Type | Additional information |
|---|---|---|---|
| SimId | globally unique identifier |
None. |
|
| MobileNumber | string |
None. |
|
| ICCID | string |
None. |
|
| ResellerId | globally unique identifier |
None. |
|
| TariffId | globally unique identifier |
None. |
|
| APNName | string |
None. |
|
| APNUsername | string |
None. |
|
| APNPassword | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"SimId": "b45977a4-5d1f-449e-bc55-23cdaf4e5f59",
"MobileNumber": "sample string 2",
"ICCID": "sample string 3",
"ResellerId": "b9128d37-a3a7-421f-a477-f75e14087595",
"TariffId": "5784aace-7a32-463d-9645-b3eb598b09e5",
"APNName": "sample string 6",
"APNUsername": "sample string 7",
"APNPassword": "sample string 8"
}
application/xml, text/xml
Sample:
<ApnConfigModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SimPortalApi.Models.SIMs"> <APNName>sample string 6</APNName> <APNPassword>sample string 8</APNPassword> <APNUsername>sample string 7</APNUsername> <ICCID>sample string 3</ICCID> <MobileNumber>sample string 2</MobileNumber> <ResellerId>b9128d37-a3a7-421f-a477-f75e14087595</ResellerId> <SimId>b45977a4-5d1f-449e-bc55-23cdaf4e5f59</SimId> <TariffId>5784aace-7a32-463d-9645-b3eb598b09e5</TariffId> </ApnConfigModel>